# Mama Tong's Cookbook

### A cookbook from generation to generation.

**Description**

*The problem:*
 
 I can't understand everything my mom says because of a language barrier. 
Even though, as an adult, I've striven to learn more about my culture and my family's language
I'm not able to understand everything my parents say, since our first languages have differed from the beginning.

Like many other children of immigrants, there is a disconnect when we become a new generation,
and personally, I feel the best way to preserve a culture or familial tradition, is through cooking.


*The project*

I want to create an app that stores recipes.


Sometimes, there's a special word for an ingredient that only our teachers (my mother) would know.
With the ability to add a customized translation, that barrier is, well, no longer there.


A google translate will serve a really important part of this project.
Consider this scenario: My mother can only write really well in Vietnamese and all of her recipe cards are in Vietnamese.
If she inputs Vietnamese into the app, the google translate will take that and translate it to English for someone like me,
who cannot read Vietnamese very well!


The program, currently unsure if I want it to be a phone app first, creates a "cookbook" for the family
to log into and retrieve a list of recipes. The cookbook is a login that will connect
the user to their family's database of amazing recipes. 


Some features:
Add & Store recipes in the cookbook.
Private access through login.
Custom translation input - maybe for each cookbook, maybe universal (for all cookbooks?)
Translation outside of input only to english. (Can go to any other language that is supported)
Public Cookbook access ("Powered by google") - search engine for a recipe

*Eventually* social media linkage, to Pinterest, share to Facebook, retweet, Take an instagram photo.


* Trinh Tong